Is there a way to look up how Rhino.AddStarPolygon draws the star?

I wanna do it in python.

https://developer.rhino3d.com/api/RhinoCommon/html/M_Rhino_Geometry_Polyline_CreateStarPolygon.htm

Wow, I completely forgot to check rhinocommon. But Iā€™m actually more interested to know how the star is composed. I did it like this:

    veci = Rhino.Geometry.Point3d(0.75, 0, 0) - Rhino.Geometry.Point3d(0, 0, 0)
    veco = Rhino.Geometry.Point3d(1.5, 0, 0) - Rhino.Geometry.Point3d(0, 0, 0)
    pts = []
    veci.Rotate(-0.3141593, axis)
    veco.Rotate(0.3141593, axis)
    for r in range(5):
        pts.append(veci + pt)
        pts.append(veco + pt)
        veci.Rotate(1.256637, axis)
        veco.Rotate(1.256637, axis)
    pts.append(pts[0])
    
    sc.doc.Objects.AddCurve(Rhino.Geometry.PolylineCurve(pts), attr)

Here is the openNURBS way:

ā€“ Dale

1 Like